Home
Release Notes
Home
Release Notes
Linkedin
  1. Payments
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
        • Update transaction
        • Cancel transaction
        • Get transaction status V2
        • Transactions List
        • Export Transactions List
        • Validate Account
        • Request Sender Document Upload URL
      • Reconciliation
        • Reconciliation
      • Quotations
        • Create Quotation
    • Bills
      • Services
        • Categories
        • Providers
        • Services
        • Service Configurations
        • available currencies
      • Payments
        • Inquiry
          POST
        • Fees
          POST
        • Confirm Payment
          POST
        • Bill Payment List
          GET
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Payments

Bill Payment List

GET
/bills/payments
This API endpoint returns a list of payments that have been completed.
Response Params
ParameterRemarks
page_noThe current page number.
page_sizeThe number of items per page.
totalThe total number of payments.
has_nextIndicates whether there are more pages available.
itemsAn array containing payment objects.
reference_noThe reference number of the payment.
service_categoryThe category of the service.
service_providerThe provider of the service.
serviceThe name of the service.
account_numberThe account number involved in the payment.
created_atThe timestamp when the payment was created.
amount_egpThe amount of the payment in Egyptian pounds.
service_fees_egpThe fees associated with the service in Egyptian pounds.
total_amount_egpThe total amount of the payment in Egyptian pounds.
foreign_amountThe amount of the payment in foreign currency.
partner_foreign_feesThe fees applied by the partner in foreign currency.
total_foreign_amountThe total amount of the payment in foreign currency.
foreign_currency_codeThe currency code of the foreign currency.
statusThe status of the payment (code and description).
transaction_numberThe transaction number associated with the payment.
transaction_dateThe date of the transaction.
account_typeThe type of the account involved in the payment.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/bills/payments?reference_no=&category_id=&provider_id=&service_id=&account_number=XXX&from_date=&to_date=&status=&page_no=&page_size=' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Responses

đŸŸ¢200Success
application/json
Bodyapplication/json

Example
{
    "data": {
        "page_no": 1,
        "page_size": 10,
        "total": 2,
        "has_next": false,
        "items": [
            {
                "reference_no": "XXXXXXXXXXXX",
                "service_category": "Internet/ADSL",
                "service_provider": "We",
                "service": "Home Internet Bills",
                "account_number": "XXXXXXXXXXXX",
                "created_at": "XX-XXX-XXXX 00:00 AM",
                "amount_egp": XX,
                "service_fees_egp": XX,
                "total_amount_egp": XX,
                "foreign_amount": X.XX,
                "partner_foreign_fees": XX,
                "total_foreign_amount": XX.XX,
                "foreign_currency_code": "USD",
                "status": {
                    "code": 2,
                    "description": "Failed"
                },
                "transaction_number": "XXXXXXXXXXXX",
                "transaction_date": "XX-XXX-XXXX",
                "account_type": 2
            },
            {
                "reference_no": "XXXXXXXXXXXX",
                "service_category": "Internet/ADSL",
                "service_provider": "We",
                "service": "Home Internet Bills",
                "account_number": "XXXXXXXXXXXX",
                "created_at": "XX-XXX-XXXX 00:00 AM",
                "amount_egp": XX,
                "service_fees_egp": XX,
                "total_amount_egp": XXX,
                "foreign_amount": XXX,
                "partner_foreign_fees": XX,
                "total_foreign_amount": XXX.XX,
                "foreign_currency_code": "USD",
                "status": {
                    "code": 1,
                    "description": "Success"
                },
                "transaction_number": "XXXXXXXXXXXX",
                "transaction_date": "XX-XXX-XXXX",
                "account_type": 1
            },
            
        ]
    },
    "errors": null
}
Previous
Confirm Payment
Next
Webhooks
Built with